CMSIS-DSP: basic_math_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
basic_math_functions_f16.h File Reference

## Functions

void | arm_add_f16 (const float16_t *pSrcA, const float16_t *pSrcB, float16_t *pDst, uint32_t blockSize)
| Floating-point vector addition. More...
void | arm_sub_f16 (const float16_t *pSrcA, const float16_t *pSrcB, float16_t *pDst, uint32_t blockSize)
| Floating-point vector subtraction. More...
void | arm_scale_f16 (const float16_t *pSrc, float16_t scale, float16_t *pDst, uint32_t blockSize)
| Multiplies a floating-point vector by a scalar. More...
void | arm_abs_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector absolute value. More...
void | arm_offset_f16 (const float16_t *pSrc, float16_t offset, float16_t *pDst, uint32_t blockSize)
| Adds a constant offset to a floating-point vector. More...
void | arm_dot_prod_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t blockSize, float16_t *result)
| Dot product of floating-point vectors. More...
void | arm_mult_f16 (const float16_t *pSrcA, const float16_t *pSrcB, float16_t *pDst, uint32_t blockSize)
| Floating-point vector multiplication. More...
void | arm_negate_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Negates the elements of a floating-point vector. More...
void | arm_clip_f16 (const float16_t *pSrc, float16_t *pDst, float16_t low, float16_t high, uint32_t numSamples)
| Elementwise floating-point clipping. More...